Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.class2hbm
Class ReflectedClass

    java.lang.Object
      |
      +--net.sf.hibernate.tool.class2hbm.ReflectedClass

public class ReflectedClass
extends Object

a ReflectedClass is created by MapGenerator instances for every class encountered, from map.addClass(), while chasing the superclass chain, or grokking properties

Version:
  1.x
Author:
  e

Constructor Summary
`protected` | `ReflectedClass(MapGenerator map, Class cls)`

Method Summary
`protected void` | `addReflectedClass(ReflectedClass rc)`
`protected void` | `addSuperclassProps()` add to this class the properties of all its superclasses
`String` | `getName()` used by gui
`ReflectedProperty[]` | `getProperties()` used by gui
`ReflectedClass[]` | `getSubclasses()` used by gui
`protected ReflectedProperty` | `getUidProp(String[] niceKeys)` called to determine if the class has a UID property
`protected void` | `getXML(int level)` dump the OR-Mapping XML for a root class and all of its subclasses that share a table and UID
`protected void` | `getXMLasComponent(int level, String propName)` dump the OR-Mapping XML for a class used as a component
`protected void` | `getXMLasComposite(int level)`
`protected void` | `getXMLasMany2Many(int level)`
`protected void` | `getXMLasSubclass(int level)` dump the OR-Mapping XML for a non-root class and all of its subclasses that share its table and UID
`protected boolean` | `hasProperties()` does this class have any properties? this is not reliable until addSuperclassProps() is called once first
`protected boolean` | `isPersistent()` has the class been deemed hibernate-persistable? if not, it may still be useful as a component or may be serializable
`protected void` | `setPersistent(boolean p)` called by MappinByReflection when this class has been deemed hibernate-persistable

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectedClass

    protected ReflectedClass(MapGenerator map,
                             Class cls)

Method Detail

### getName

    public String getName()

  used by gui

### getProperties

    public ReflectedProperty[] getProperties()

  used by gui

### getSubclasses

    public ReflectedClass[] getSubclasses()

  used by gui

### addReflectedClass

    protected void addReflectedClass(ReflectedClass rc)

### isPersistent

    protected boolean isPersistent()

  has the class been deemed hibernate-persistable?
  if not, it may still be useful as a component or may be serializable

### setPersistent

    protected void setPersistent(boolean p)

  called by MappinByReflection when this class has been deemed hibernate-persistable

### hasProperties

    protected boolean hasProperties()

  does this class have any properties?
  this is not reliable until addSuperclassProps() is called once first

### addSuperclassProps

    protected void addSuperclassProps()

  add to this class the properties of all its superclasses

### getXML

    protected void getXML(int level)

  dump the OR-Mapping XML for a root class and all of its subclasses that share a table and UID

### getXMLasSubclass

    protected void getXMLasSubclass(int level)

  dump the OR-Mapping XML for a non-root class and all of its subclasses that share its table and UID

### getXMLasComponent

    protected void getXMLasComponent(int level,
                                     String propName)

  dump the OR-Mapping XML for a class used as a component

  Parameters:
    `propName` - the property name of the property containing this component

### getXMLasComposite

    protected void getXMLasComposite(int level)

### getXMLasMany2Many

    protected void getXMLasMany2Many(int level)

### getUidProp

    protected ReflectedProperty getUidProp(String[] niceKeys)

  called to determine if the class has a UID property

  Parameters:
    `niceKeys` - an array of candidate UID names
  Returns:
    the UID ReflectedProperty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD